<%@ Page Language="VB" %>
<%@ import Namespace="System.Data" %>
<script runat="server">

    Sub bt_create_Click(sender As Object, e As EventArgs)
        if txt_projName.Text=""
            lbl_resp.Text="Please enter a project name"
            return
        end if
    
        Dim projects as DataSet
        projects = Session("dsProjects")
        dim newProj as DataRow = projects.Tables("project").NewRow()
        newProj("name") = txt_projName.Text
        newProj("description") = txt_description.Text
        newProj("id") = projects.Tables("project").Rows.count + 1
        projects.Tables("project").Rows.Add(newProj)
        projects.AcceptChanges()
        projects.WriteXml("projects.xml")
        response.redirect("fileHandler.aspx")
    
    
    End Sub
    
    Sub txt_cancel_Click(sender As Object, e As EventArgs)
        response.redirect("fileHandler.aspx")
    End Sub

</script>
<html>
<head>
    <title>Create Project</title>
</head>
<body>
    <form runat="server">
        <p>
            <strong><font color="#0000a0" size="4">Create Project</font></strong>
        </p>
        <hr />

        <p>
            &nbsp; <asp:Label id="lbl_resp" runat="server" font-bold="True" font-size="Smaller" forecolor="Navy"></asp:Label>
        </p>
        <p>
            &nbsp;&nbsp;<strong><font color="#0000a0">Project Name
            <asp:TextBox id="txt_projName" runat="server"></asp:TextBox>
            </font></strong>
        </p>
        <p>
            <strong><font color="#0000a0">&nbsp; Description</font></strong>
            <br />
            <strong><font color="#0000a0">&nbsp;
            <asp:TextBox id="txt_description" runat="server" TextMode="MultiLine" Width="270px" Height="70px"></asp:TextBox>
            </font></strong>
        </p>
        <p>
            <strong><font color="#0000a0">&nbsp;&nbsp;<asp:Button id="bt_create" onclick="bt_create_Click" runat="server" Text="Create"></asp:Button>
            <asp:Button id="txt_cancel" onclick="txt_cancel_Click" runat="server" Text="Cancel"></asp:Button>
            </font></strong>
        </p>

    </form>
</body>
</html>
