<%@ Page Language="VB" Debug="true" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.IO" %>
<script runat="server">

    sub Page_Load(s as Object ,e as EventArgs)
        dim projects = new DataSet
    
        if not Page.IsPostBack
            lbl_name.Text = Session("userName")
            projects.ReadXml(MapPath("projects.xml"))
    
            Session("dsProjects")=projects
    
            lsB_projects.DataSource=projects
            lsB_projects.DataValueField="id"
            lsB_projects.DataTextField="name"
            lsB_projects.DataBind()
    
            dim title as String = Session("userTitle")
            if title = "administrator"
                bt_create.Visible = true
            end if
    
            'if projects.Tables Is nothing
            '    lbl_projDescription.Text = "No project can be found. Please contact web administrator"
            '    Session("maxProjIndex") = 0
            '    return
            'end if
    
            Session("maxProjIndex") = projects.Tables("project").Rows.count
    
        end if
    
    end sub
    
    sub displayProject(s as Object ,e as EventArgs)
        lbl_projName.Text = lsB_projects.SelectedItem.Text
        dim curProjID as string= lsB_projects.SelectedItem.Value
        dim strExpr as string = "id = '" & curProjID & "'"
        dim rootpath as string= ConfigurationSettings.AppSettings("fileManagementRootPath")
        Directory.SetCurrentDirectory(rootpath)
        dim foundRows as DataRow()
    
    
        '//display project name and description.
        dim projects as DataSet = Session("dsProjects")
        if projects.Tables Is nothing
            lbl_projDescription.Text = "No project can be found. Please contact web administrator"
            return
        end if
    
    
        foundRows = projects.Tables("project").Select(strExpr)
        lbl_projDescription.Text = foundRows(0)("description")
        Session("curProjID") = curProjID
    
        '//display exist files of selected project
        if not Directory.Exists("project" & curProjID)
            '// Create the directory it does not exist.
            Directory.CreateDirectory("project" & curProjID)
            lbl_fileNum.Text="(0 files, project directory created)"
            return
    
        end if
    
        dim files as string()
        files = Directory.GetFiles("project" & curProjID)
    
        lbl_fileNum.Text="(" & files.Length &" files)"
        lsB_files.DataSource = files
        lsB_files.DataBind()
    
    end sub
    
    sub submit(sender as Object ,e as EventArgs)
        'fname.InnerHtml=MyFile.PostedFile.FileName;
        'clength.InnerHtml=MyFile.PostedFile.ContentLength;
        if MyFile.PostedFile Is nothing
            lbl_resp.Text = "No file selected. Please select file to upload."
            return
        end if
    
        dim fileName as string = MyFile.PostedFile.FileName
        fileName = fileName.Substring(fileName.LastIndexOf("\")+1)
    
        if fileName Is nothing or fileName = ""
            lbl_resp.Text = "No file selected. Please select file to upload."
            return
        end if
    
        dim curProjID as string = Session("curProjID")
        fileName = "project" & curProjID & "\" & fileName
    
        if File.Exists(fileName)
            ' a window as user to overwrite or not
        end if
    
        MyFile.PostedFile.SaveAs(fileName)
        lbl_resp.Text = fileName & " upload completed"
    
        'refresh file list
        dim files as string()
        files = Directory.GetFiles("project" & curProjID)
    
        lbl_fileNum.Text="(" & files.Length &" files)"
        lsB_files.DataSource = files
        lsB_files.DataBind()
    
    end sub
    
    Sub open_file(sender As Object, e As EventArgs)
        response.redirect(lsB_files.SelectedItem.Text)
    End Sub
    
    Sub bt_create_Click(sender As Object, e As EventArgs)
        response.redirect("createProj.aspx")
    End Sub

</script>
<html>
<head>
    <title>Jing's File Management System</title>
</head>
<body>
    <form runat="server">
        <p>
            <strong><font color="#0000a0">Welcome,</font></strong> <asp:Label id="lbl_name" runat="server" font-bold="True" font-size="Small" forecolor="Navy"></asp:Label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
            <asp:Button id="bt_create" onclick="bt_create_Click" runat="server" Visible="False" Text="Create New Project"></asp:Button>
        </p>
        <hr />
        <strong><font color="#0000a0"> 
        <table>
            <tbody>
                <tr>
                    <td>
                        Projects</td>
                    <td>
                        Files</td>
                </tr>
                <tr>
                    <td>
                        <asp:ListBox id="lsB_projects" runat="server" AutoPostBack="True" onSelectedIndexChanged="displayProject" Height="100px" Width="150px"></asp:ListBox>
                    </td>
                    <td>
                        <asp:ListBox id="lsB_files" runat="server" Height="100px" Width="300px"></asp:ListBox>
                        <asp:Button id="bt_open" onclick="open_file" runat="server" Text="Open" AutoPostBack="True"></asp:Button>
                    </td>
                </tr>
            </tbody>
        </table>
        </font></strong> 
        <p>
            &nbsp;<asp:Label id="lbl_projName" runat="server" font-bold="True" font-size="Smaller" forecolor="Navy"></asp:Label>&nbsp;&nbsp; <asp:Label id="lbl_fileNum" runat="server" font-bold="True" font-size="Smaller" forecolor="Navy"></asp:Label><strong><font color="#0000a0" size="2">
            <br />
            </font></strong>&nbsp;<asp:Label id="lbl_projDescription" runat="server" font-size="Smaller" forecolor="Navy"></asp:Label> 
        </p>
        <hr />
        <p>
            <strong><font color="#0000a0" size="2">&nbsp;Select file to upload to server:</font></strong>&nbsp;<input id="MyFile" type="file" size="40" runat="server" />
            <input type="submit" value="Upload" runat="server" onserverclick="submit" />
        </p>
        <p>
            <asp:Label id="lbl_resp" runat="server" font-bold="True" font-size="Smaller" forecolor="Navy"></asp:Label>
        </p>
        <hr />
    </form>
    <strong><font color="#0000a0"> 
    <p>
    </p>
    </font></strong>&nbsp; 
</body>
</html>
