<%@ Page Language="C#" %>
<%@ import Namespace="System.Data" %>
<script runat="server">

    /*
         public struct User {
             public string name;
             public string title;
             public string userID;
         }
    
         public User curUser
         {
    
            get
            {
                 User aUser = new User();
                 aUser.name = txt_name.Text;
                 aUser.title = txt_title.Text;
                 aUser.userID = txt_userID.Text;
                 return aUser;
            }
         }
    */
    
         public void submit(Object s, EventArgs e) {
    
             DataSet users= new DataSet();
             users.ReadXml(MapPath("users.xml"));
    
             DataTable userTable = users.Tables["user"];
    
             string strExpr = "userID = '" + txt_userID.Text + "'";
             DataRow[] foundRows;
             // Use the Select method to find all rows matching the filter.
             foundRows = userTable.Select(strExpr);
    
             if (foundRows.Length!=0){
                 lbl_resp.Text = "The userID " + txt_userID.Text + " is used by someone else. Please choose another user ID.";
                 return;
             }
    
             if (txt_pwd.Text!=txt_pwdconf.Text) {
                 lbl_resp.Text = "Your password is different in the two inputs.Please try again.";
                 return;
             }
    
             DataRow newRow = userTable.NewRow();
             newRow["name"] = txt_name.Text;
             newRow["title"] = txt_title.Text;
             newRow["userID"] = txt_userID.Text;
             newRow["password"] = txt_pwd.Text;
             userTable.Rows.Add(newRow);
    
             //this is simple one step submit now
             //it doesn't support multiuser now
             //if two users submit registration exactly at the same time
             // it is possible that one of the user's infomation got lost
             //a two step commitment will be added in the future to fix this problem
             users.AcceptChanges();
             users.WriteXml("users.xml");
             //Server.Transfer("reg_success.aspx");
             Session["name"]= txt_name.Text;
             Session["title"] = txt_title.Text;
             Session["userID"] = txt_userID.Text;
             Response.Redirect("reg_success.aspx");
    
         }//end submit
    
         public void cancel (Object s, EventArgs e) {
             Response.Redirect("login.aspx");
         }//end cancel

</script>
<html>
<head>
    <title>Jing's File Management System -- Register</title>
</head>
<body>
    <h2><font color="#0080c0">Jing's File Management System registration</font> 
    </h2>
    <hr />
    <form runat="server">
        <p>
            <strong><font color="#0000a0">&nbsp;&nbsp; Please enter the following information</font></strong> 
        </p>
        <strong><font color="#0000a0"> 
        <p>
            &nbsp;&nbsp; Name&nbsp;&nbsp;&nbsp; &nbsp;<asp:TextBox id="txt_name" runat="server"></asp:TextBox>
        </p>
        </font></strong> 
        <p>
            <strong><font color="#0000a0" size="3">&nbsp;&nbsp; Title&nbsp;&nbsp;&nbsp; 
            <asp:TextBox id="txt_title" runat="server"></asp:TextBox>
            </font></strong>
        </p>
        <strong><font color="#0000a0"> 
        <p>
            <strong><font color="#0000a0">&nbsp;&nbsp; User ID&nbsp; 
            <asp:TextBox id="txt_userID" runat="server"></asp:TextBox>
            </font></strong>
        </p>
        <p>
            &nbsp;&nbsp; Password&nbsp;<asp:TextBox id="txt_pwd" runat="server" EnableViewState="False" TextMode="Password"></asp:TextBox>
        </p>
        <p>
            &nbsp;&nbsp; Password confirm&nbsp; 
            <asp:TextBox id="txt_pwdconf" runat="server" EnableViewState="False" TextMode="Password"></asp:TextBox>
        </p>
        <p>
            &nbsp;&nbsp; 
            <asp:Button id="bt_submit" onclick="submit" runat="server" AutoPostBack="True" Text="Submit"></asp:Button>
            <asp:Button id="bt_cancel" onclick="cancel" runat="server" AutoPostBack="True" Text="Cancel"></asp:Button>
        </p>
        <p>
            &nbsp;&nbsp; <asp:Label id="lbl_resp" runat="server"></asp:Label>
        </p>
        </font></strong>
    </form>
</body>
</html>
