<%@ Page Language="C#" Debug="true" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.IO" %>
<script runat="server">

    private void Page_Load(Object s,EventArgs e) {
        DataSet projects = new DataSet();
        //DataSet files = new DataSet();
        if (!Page.IsPostBack) {
            projects.ReadXml(MapPath("projects.xml"));
            //files.ReadXml(MapPath("files.xml"));
            Session["dsProjects"]=projects;
            //Session["dsFiles"]=files;
    
            lsB_projects.DataSource=projects;
            lsB_projects.DataValueField="id";
            lsB_projects.DataTextField="name";
            lsB_projects.DataBind();
    
        }//end if
    
       //lsB_projects.SetSelected(0,true);
    
    } // end page_load
    
    private void displayProject(Object s,EventArgs e) {
        lbl_projName.Text = lsB_projects.SelectedItem.Text;
        string projID = lsB_projects.SelectedItem.Value;
        string strExpr = "id = '" + projID +"'";
        string rootpath = @"E:\dotNetSpace\fileManagement\";
        DataRow[] foundRows;
    
        //display project name and description.
        DataSet projects=(DataSet) Session["dsProjects"];
        if (projects.Tables==null) {
            lbl_projDescription.Text = "No project can be found. Please contact web administrator";
            return;
        }
    
    
        foundRows = projects.Tables["project"].Select(strExpr);
        lbl_projDescription.Text = (string) foundRows[0]["description"];
    
        //display exist files of selected project
        /*
        DataSet files = (DataSet) Session["dsFiles"];
        if (files.Tables.Length ==0) {
            DataTable fileTable = new DataTable("fileTable");
            files.Tables.add(fileTable);
            DataColumn c2 = new DataColumn("item");
            myTable.Columns.Add(c1);
            myTable.Columns.Add(c2);
        }
        */
    
        //display exist files of selected project
        if (!Directory.Exists(rootpath+"project"+projID)) {
                // Create the directory it does not exist.
                Directory.CreateDirectory(rootpath+"project"+projID);
                lbl_fileNum.Text="(0 files, project directory created)";
                return;
    
        }//end if
    
        string[] files = Directory.GetFiles(rootpath+"project"+projID);
    
        if (files.Length == 0) {
            lbl_fileNum.Text="(0 files)";
            return;
        } else {
    
            lbl_fileNum.Text= "(" + files.Length +" files)";
            lsB_files.DataSource = files;
            lsB_files.DataBind();
        }
    
    }
    
    private void submit(Object sender, EventArgs e) {
    //   fname.InnerHtml=MyFile.PostedFile.FileName;
    //   clength.InnerHtml=MyFile.PostedFile.ContentLength;
    // MyFile.PostedFile.SaveAs("c:\uploadfile.txt");
    }

</script>
<html>
<head>
    <title>Jing's File Management System</title>
</head>
<body>
    <form runat="server">
        <p>
            <strong><font color="#0000a0">Welcome,</font></strong> <asp:Label id="lbl_name" runat="server" font-bold="True" font-size="Small" forecolor="Navy"></asp:Label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
            <asp:Button id="bt_create" runat="server" Visible="False" Text="Create New Project"></asp:Button>
        </p>
        <hr />
        <strong><font color="#0000a0"> 
        <table>
            <tbody>
                <tr>
                    <td>
                        Projects</td>
                    <td>
                        Files</td>
                </tr>
                <tr>
                    <td>
                        <asp:ListBox id="lsB_projects" runat="server" AutoPostBack="True" onSelectedIndexChanged="displayProject" Height="100px" Width="150px"></asp:ListBox>
                    </td>
                    <td>
                        <asp:ListBox id="lsB_files" runat="server" Height="100px" Width="150px"></asp:ListBox>
                        <asp:Button id="Button1" runat="server" Text="Open"></asp:Button>
                    </td>
                </tr>
            </tbody>
        </table>
        </font></strong> 
        <p>
            &nbsp;<asp:Label id="lbl_projName" runat="server" font-bold="True" font-size="Smaller" forecolor="Navy"></asp:Label>&nbsp;&nbsp; <asp:Label id="lbl_fileNum" runat="server" font-bold="True" font-size="Smaller" forecolor="Navy"></asp:Label><strong><font color="#0000a0" size="2">
            <br />
            </font></strong>&nbsp;<asp:Label id="lbl_projDescription" runat="server" font-size="Smaller" forecolor="Navy"></asp:Label> 
        </p>
        <hr />
        <p>
            <strong><font color="#0000a0" size="2">&nbsp;Select file to upload to server:</font></strong>&nbsp;<input id="MyFile" type="file" size="40" runat="server" />
            <input type="submit" value="Upload" runat="server" onserverclick="submit" />
        </p>
        <p>
            <asp:Label id="lbl_resp" runat="server" font-bold="True" font-size="Smaller" forecolor="Navy"></asp:Label>
        </p>
        <hr />
    </form>
    <strong><font color="#0000a0"> 
    <p>
    </p>
    </font></strong>&nbsp; 
</body>
</html>
